summaryrefslogtreecommitdiff
path: root/test/integration/test-ubuntu-bug-1990586
diff options
context:
space:
mode:
authorJulian Andres Klode <julian.klode@canonical.com>2022-09-28 16:28:36 +0200
committerJulian Andres Klode <julian.klode@canonical.com>2022-09-28 16:32:44 +0200
commit5f5a8deedffac3cdeeb2f178d910d3759d366e8e (patch)
treeb50eb2c3ce3d058140d9fdf8206aed65da714378 /test/integration/test-ubuntu-bug-1990586
parentf93a5aa2daa92255c75865b6f92dddb4b072ff33 (diff)
full-upgrade: Mark phased upgrades for keep before anything else
By marking them at the end, we might make other decisions that depend on the new phased updates, confusing the solver. Run the marking at the start too. The EDSP test file from Jeremy was modified to include Machine-ID and Phased-Update-Percentage fields and then filtered to mostly exclude packages irrelevant to the test case by running grep-dctrl \( -FRequest "EDSP 0.5" -o -FInstalled yes \ -oFPhased-Update-Percentage 10 \) \ -a --not -FArchitecture i386 LP: #1990586
Diffstat (limited to 'test/integration/test-ubuntu-bug-1990586')
-rwxr-xr-xtest/integration/test-ubuntu-bug-199058642
1 files changed, 42 insertions, 0 deletions
diff --git a/test/integration/test-ubuntu-bug-1990586 b/test/integration/test-ubuntu-bug-1990586
new file mode 100755
index 000000000..415c5027e
--- /dev/null
+++ b/test/integration/test-ubuntu-bug-1990586
@@ -0,0 +1,42 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+
+setupenvironment
+
+configarchitecture 'amd64'
+
+noprogress() {
+ "$@" | sed /^Progress/d
+}
+
+# The important thing in this bug is that python3.10 and python3.10-defaults are phasing differently,
+# so both should be kept back rather than one causing tons of removals.
+# This should effectively be a no-op
+testsuccessequal "Percentage: 0
+Message: Start up solver…
+
+Percentage: 1
+Message: Read request…
+
+Percentage: 5
+Message: Read scenario…
+
+Percentage: 50
+Message: Apply request on scenario…
+
+Percentage: 60
+Message: Call problemresolver on current scenario…
+
+Percentage: 95
+Message: Write solution…
+
+Autoremove: 74428
+Package: systemd-hwe-hwdb:amd64
+Version: 249.11.1
+
+Percentage: 100
+Message: Done
+" noprogress runapt "${APTHELPERBINDIR}/solvers/apt" < $TESTDIR/edsp-ubuntu-bug-1990586